package com.huyi.service.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 账户信息表
 * </p>
 *
 * @author xuefy
 * @since 2021-08-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pay_acc_inf")
public class PayAccInf implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 企业ID(sys_company.scy_id)
     */
    @TableId("PAI_CSTNO")
    private String paiCstno;

    /**
     * 账号
     */
    @TableField("PAI_ACCNO")
    private String paiAccno;

    /**
     * 版本号
     */
    @TableField("PAI_VERSION")
    private Integer paiVersion;

    /**
     * 账户状态(0:未开通，1：冻结,2已开通3:待激活)
     */
    @TableField("PAI_STATUS")
    private String paiStatus;

    /**
     * 余额
     */
    @TableField("PAI_BALANCE")
    private String paiBalance;

    /**
     * 可用余额
     */
    @TableField("PAI_AVABALANCE")
    private String paiAvabalance;

    /**
     * 账户类型(00基本账户01贷款账户02信用账户03手续费账户04待结算账户05提现账户06邢台银行虚拟账户)
     */
    @TableField("PAI_ACCTYPE")
    private String paiAcctype;

    /**
     * 币种(CNY)
     */
    @TableField("PAI_CRYTYPE")
    private String paiCrytype;

    /**
     * 开户行号
     */
    @TableField("PAI_QLBANKNO")
    private String paiQlbankno;

    /**
     * 开户行名
     */
    @TableField("PAI_QLBANKNAME")
    private String paiQlbankname;

    /**
     * 创建人
     */
    @TableField("create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 修改人
     */
    @TableField("update_by")
    private String updateBy;

    /**
     * 修改时间
     */
    @TableField("update_time")
    private Date updateTime;


}
