package com.huyi.service.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 文件信息表
 * </p>
 *
 * @author xuefy
 * @since 2021-08-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pub_file_inf")
public class PubFileInf implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 文件id
     */
    @TableId("pfi_file_id")
    private String pfiFileId;

    /**
     * 企业id
     */
    @TableField("pfi_company_id")
    private String pfiCompanyId;

    /**
     * 存储方(天虎)
     */
    @TableField("pfi_storage")
    private String pfiStorage;

    /**
     * 文件类型(00:图片01视频 02:文档 03:音频 )
     */
    @TableField("pfi_file_type")
    private String pfiFileType;

    /**
     * 文件大小(单位:k)
     */
    @TableField("pfi_file_size")
    private String pfiFileSize;

    /**
     * 文件名称
     */
    @TableField("pfi_file_name")
    private String pfiFileName;

    /**
     * 文件存储位置
     */
    @TableField("pfi_file_path")
    private String pfiFilePath;

    /**
     * 文件url
     */
    @TableField("pfi_file_url")
    private String pfiFileUrl;

    /**
     * 三方(00:阿里01:腾讯02:百度)
     */
    @TableField("pfi_tripartite")
    private String pfiTripartite;

    /**
     * 文件服务器
     */
    @TableField("pfi_file_server")
    private String pfiFileServer;

    /**
     * 文件上传时间
     */
    @TableField("pfi_upload_time")
    private Date pfiUploadTime;

    /**
     * 访问时间
     */
    @TableField("pfi_visit_time")
    private Date pfiVisitTime;

    /**
     * 状态（00：正常 99：删除）
     */
    @TableField("pfi_is_del")
    private String pfiIsDel;

    /**
     * 备用字段1
     */
    @TableField("pfi_spare1")
    private String pfiSpare1;

    /**
     * 备用字段2
     */
    @TableField("pfi_spare2")
    private String pfiSpare2;

    /**
     * 备用字段3
     */
    @TableField("pfi_spare3")
    private String pfiSpare3;

    /**
     * 备用字段4
     */
    @TableField("pfi_spare4")
    private String pfiSpare4;

    /**
     * 备用字段5
     */
    @TableField("pfi_spare5")
    private String pfiSpare5;

    /**
     * 备用字段6
     */
    @TableField("pfi_spare6")
    private String pfiSpare6;

    /**
     * 备用字段7
     */
    @TableField("pfi_spare7")
    private String pfiSpare7;

    /**
     * 备用字段8
     */
    @TableField("pfi_spare8")
    private String pfiSpare8;

    /**
     * 备用字段9
     */
    @TableField("pfi_spare9")
    private String pfiSpare9;

    /**
     * 备用字段10
     */
    @TableField("pfi_spare10")
    private String pfiSpare10;

    /**
     * 文件url
     */
    @TableField("pfi_url")
    private String pfiUrl;

    /**
     * 删除时间
     */
    @TableField("pfi_del_time")
    private Date pfiDelTime;


}
