package com.huyi.service.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 链属公司信息表
 * </p>
 *
 * @author songqg
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_company_spare")
public class SysCompanySpare implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("scp_id")
    private String scpId;

    /**
     * 录入企业
     */
    @TableField("scp_company_id")
    private String scpCompanyId;

    /**
     * 企业名称
     */
    @TableField("scp_name")
    private String scpName;

    /**
     * 统一社会信用代码
     */
    @TableField("scp_social_code")
    private String scpSocialCode;

    /**
     * 联系人
     */
    @TableField("scp_contarct")
    private String scpContarct;

    /**
     * 联系电话
     */
    @TableField("scp_contarct_phone")
    private String scpContarctPhone;

    /**
     * 邮箱
     */
    @TableField("scp_contarct_email")
    private String scpContarctEmail;

    /**
     * 企业类型 00:供应商,01:核心企业
     */
    @TableField("scp_type")
    private String scpType;

    /**
     * 备注
     */
    @TableField("scp_remarks")
    private String scpRemarks;

    /**
     * 状态 00:正常 01:已认证 99:删除
     */
    @TableField("scp_status")
    private String scpStatus;

    /**
     * 创建人
     */
    @TableField("create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 修改人
     */
    @TableField("update_by")
    private String updateBy;

    /**
     * 修改时间
     */
    @TableField("update_time")
    private Date updateTime;


}
