package com.huyi.service.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户与企业关系表
 * </p>
 *
 * @author songqg
 * @since 2021-08-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_user_company_rel")
public class SysUserCompanyRel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户ID
     */
    @TableId("sucr_user_id")
    private Long sucrUserId;

    /**
     * 企业ID
     */
    @TableField("sucr_company_id")
    private String sucrCompanyId;

    /**
     * 部门id
     */
    @TableField("sucr_dept_id")
    private Long sucrDeptId;

    /**
     * 是否经办人 0:不是, 1:是
     */
    @TableField("sucr_handler")
    private String sucrHandler;

    /**
     * 创建者
     */
    @TableField("create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 更新者
     */
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Date updateTime;


}
