package com.huyi.service.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 往来账款表
 * </p>
 *
 * @author xuefy
 * @since 2021-08-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("zc_bill_inf")
public class ZcBillInf implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId("zbi_id")
    private String zbiId;

    /**
     * 账款编号
     */
    @TableField("zbi_number")
    private String zbiNumber;

    /**
     * 账款名称
     */
    @TableField("zbi_name")
    private String zbiName;

    /**
     * 付款方(sys_company.scy_id)
     */
    @TableField("zbi_payer_id")
    private String zbiPayerId;

    /**
     * 收款方(sys_company.scy_id)
     */
    @TableField("zbi_payee_id")
    private String zbiPayeeId;

    /**
     * 账款金额
     */
    @TableField("zbi_amount")
    private String zbiAmount;

    /**
     * 贸易时间
     */
    @TableField("zbi_date")
    private Date zbiDate;

    /**
     * 预计还款日期
     */
    @TableField("zbi_pay_date")
    private Date zbiPayDate;

    /**
     * 贸易合同编号
     */
    @TableField("zbi_contract_no")
    private String zbiContractNo;

    /**
     * 账款商品/服务
     */
    @TableField("zbi_service")
    private String zbiService;

    /**
     * 配送订单号
     */
    @TableField("zbi_order_no")
    private String zbiOrderNo;

    /**
     * 配送企业
     */
    @TableField("zbi_distributor")
    private String zbiDistributor;

    /**
     * 状态(00:正常, 80:初始化, 99:删除)
     */
    @TableField("zbi_status")
    private String zbiStatus;

    /**
     * 备注
     */
    @TableField("zbi_remark")
    private String zbiRemark;

    /**
     * 备用字段1
     */
    @TableField("zbi_profit_spare1")
    private String zbiProfitSpare1;

    /**
     * 备用字段2
     */
    @TableField("zbi_profit_spare2")
    private String zbiProfitSpare2;

    /**
     * 备用字段3
     */
    @TableField("zbi_profit_spare3")
    private String zbiProfitSpare3;

    /**
     * 备用字段4
     */
    @TableField("zbi_profit_spare4")
    private String zbiProfitSpare4;

    /**
     * 备用字段5
     */
    @TableField("zbi_profit_spare5")
    private String zbiProfitSpare5;

    /**
     * 备用字段6
     */
    @TableField("zbi_profit_spare6")
    private String zbiProfitSpare6;

    /**
     * 备用字段7
     */
    @TableField("zbi_profit_spare7")
    private String zbiProfitSpare7;

    /**
     * 备用字段8
     */
    @TableField("zbi_profit_spare8")
    private String zbiProfitSpare8;

    /**
     * 备用字段9
     */
    @TableField("zbi_profit_spare9")
    private String zbiProfitSpare9;

    /**
     * 创建者
     */
    @TableField("create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 更新者
     */
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Date updateTime;


}
