package com.huyi.service.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 供应商授信额度表
 * </p>
 *
 * @author xuefy
 * @since 2021-08-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("zc_finance_supplier_quota")
public class ZcFinanceSupplierQuota implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("zfsq_id")
    private String zfsqId;

    /**
     * 核心企业授信额度ID(zc_finance_pro_com_rel.zfpcr_id)
     */
    @TableField("zfsq_core_quota_id")
    private String zfsqCoreQuotaId;

    /**
     * 供应商ID(sys_company.scy_id)
     */
    @TableField("zfsq_company_id")
    private String zfsqCompanyId;

    /**
     * 授信额度
     */
    @TableField("zfsq_amount")
    private String zfsqAmount;

    /**
     * 原授信额度
     */
    @TableField("zfsq_old_amount")
    private String zfsqOldAmount;

    /**
     * 状态(00:有效 01:失效)
     */
    @TableField("zfsq_status")
    private String zfsqStatus;

    /**
     * 备用字段1
     */
    @TableField("zfsq_profit_spare1")
    private String zfsqProfitSpare1;

    /**
     * 备用字段2
     */
    @TableField("zfsq_profit_spare2")
    private String zfsqProfitSpare2;

    /**
     * 备用字段3
     */
    @TableField("zfsq_profit_spare3")
    private String zfsqProfitSpare3;

    /**
     * 备用字段4
     */
    @TableField("zfsq_profit_spare4")
    private String zfsqProfitSpare4;

    /**
     * 备用字段5
     */
    @TableField("zfsq_profit_spare5")
    private String zfsqProfitSpare5;

    /**
     * 备用字段6
     */
    @TableField("zfsq_profit_spare6")
    private String zfsqProfitSpare6;

    /**
     * 备用字段7
     */
    @TableField("zfsq_profit_spare7")
    private String zfsqProfitSpare7;

    /**
     * 备用字段8
     */
    @TableField("zfsq_profit_spare8")
    private String zfsqProfitSpare8;

    /**
     * 备用字段9
     */
    @TableField("zfsq_profit_spare9")
    private String zfsqProfitSpare9;

    /**
     * 创建者
     */
    @TableField("create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 更新者
     */
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Date updateTime;


}
