package com.huyi.service.base.service.impl;

import com.huyi.service.base.entity.PayAccDetail;
import com.huyi.service.base.mapper.PayAccDetailMapper;
import com.huyi.service.base.service.IPayAccDetailService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.beans.factory.annotation.Autowired;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;



import java.util.List;

/**
 * ClassName: PayAccDetailServiceImpl<br>
 * Description: IPayAccDetailService实现 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true, rollbackFor = Exception.class)
public class PayAccDetailServiceImpl extends ServiceImpl<PayAccDetailMapper, PayAccDetail> implements IPayAccDetailService {

    @Autowired
    private PayAccDetailMapper payAccDetailMapper;

    @Override
    public IPage<PayAccDetail> findPayAccDetails(QueryRequest request, LambdaQueryWrapper<PayAccDetail> wrapper) {
        Page<PayAccDetail> page = new Page<>(request.getPageNum(), request.getPageSize());
        return this.page(page, wrapper);
    }

    @Override
    public List<PayAccDetail> findPayAccDetails(LambdaQueryWrapper<PayAccDetail> wrapper) {
		return this.list(wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void createPayAccDetail(PayAccDetail payAccDetail) {
        this.save(payAccDetail);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updatePayAccDetail(PayAccDetail payAccDetail) {
        this.saveOrUpdate(payAccDetail);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deletePayAccDetail(LambdaQueryWrapper<PayAccDetail> wrapper) {
	    this.remove(wrapper);
	}
}
