package com.huyi.service.base.service.impl;

import com.huyi.service.base.entity.ZcFinanceRecord;
import com.huyi.service.base.mapper.ZcFinanceRecordMapper;
import com.huyi.service.base.service.IZcFinanceRecordService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.beans.factory.annotation.Autowired;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;



import java.util.List;

/**
 * ClassName: ZcFinanceRecordServiceImpl<br>
 * Description: IZcFinanceRecordService实现 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true, rollbackFor = Exception.class)
public class ZcFinanceRecordServiceImpl extends ServiceImpl<ZcFinanceRecordMapper, ZcFinanceRecord> implements IZcFinanceRecordService {

    @Autowired
    private ZcFinanceRecordMapper zcFinanceRecordMapper;

    @Override
    public IPage<ZcFinanceRecord> findZcFinanceRecords(QueryRequest request, LambdaQueryWrapper<ZcFinanceRecord> wrapper) {
        Page<ZcFinanceRecord> page = new Page<>(request.getPageNum(), request.getPageSize());
        return this.page(page, wrapper);
    }

    @Override
    public List<ZcFinanceRecord> findZcFinanceRecords(LambdaQueryWrapper<ZcFinanceRecord> wrapper) {
		return this.list(wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void createZcFinanceRecord(ZcFinanceRecord zcFinanceRecord) {
        this.save(zcFinanceRecord);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updateZcFinanceRecord(ZcFinanceRecord zcFinanceRecord) {
        this.saveOrUpdate(zcFinanceRecord);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deleteZcFinanceRecord(LambdaQueryWrapper<ZcFinanceRecord> wrapper) {
	    this.remove(wrapper);
	}
}
