package com.huyi.service.base.service.impl;

import com.huyi.service.base.entity.ZcRepaymentRecord;
import com.huyi.service.base.mapper.ZcRepaymentRecordMapper;
import com.huyi.service.base.service.IZcRepaymentRecordService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.beans.factory.annotation.Autowired;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;



import java.util.List;

/**
 * ClassName: ZcRepaymentRecordServiceImpl<br>
 * Description: IZcRepaymentRecordService实现 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true, rollbackFor = Exception.class)
public class ZcRepaymentRecordServiceImpl extends ServiceImpl<ZcRepaymentRecordMapper, ZcRepaymentRecord> implements IZcRepaymentRecordService {

    @Autowired
    private ZcRepaymentRecordMapper zcRepaymentRecordMapper;

    @Override
    public IPage<ZcRepaymentRecord> findZcRepaymentRecords(QueryRequest request, LambdaQueryWrapper<ZcRepaymentRecord> wrapper) {
        Page<ZcRepaymentRecord> page = new Page<>(request.getPageNum(), request.getPageSize());
        return this.page(page, wrapper);
    }

    @Override
    public List<ZcRepaymentRecord> findZcRepaymentRecords(LambdaQueryWrapper<ZcRepaymentRecord> wrapper) {
		return this.list(wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void createZcRepaymentRecord(ZcRepaymentRecord zcRepaymentRecord) {
        this.save(zcRepaymentRecord);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updateZcRepaymentRecord(ZcRepaymentRecord zcRepaymentRecord) {
        this.saveOrUpdate(zcRepaymentRecord);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deleteZcRepaymentRecord(LambdaQueryWrapper<ZcRepaymentRecord> wrapper) {
	    this.remove(wrapper);
	}
}
