package com.huyi.service.financeProduct.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huyi.service.financeProduct.mapper.OwnFinanceProductMapper;
import com.huyi.service.financeProduct.service.IOwnFinanceProductService;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 融资产品Service业务层处理
 * 
 * @author ch
 * @date 2021-08-17
 */
@Service
public class OwnFinanceProductServiceImpl implements IOwnFinanceProductService
{
    @Autowired
    private OwnFinanceProductMapper financeProductMapper;

    /**
     * 查询融资产品列表
     * @param map
     * @param request
     * @return
     */
    @Override
    public IPage<Map> selectFinanceProductList(Map map,QueryRequest request){
        Page page = new Page(request.getPageNum(),request.getPageSize());
        return financeProductMapper.selectFinanceProductList(page,map);
    }

    /**
     * 查询创建者名称
     * @param map
     * @return
     */
    @Override
    public Map selectUserName(Map map) {
        return financeProductMapper.selectUserName(map);
    }

}
